---
title: OfflineAudioCompletionEvent
slug: Web/API/OfflineAudioCompletionEvent
tags:
  - API
  - Interface
  - OfflineAudioCompletionEvent
  - Reference
  - Référence(2)
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p>The <a href="/en-US/docs/Web_Audio_API">Web Audio API</a> <code>OfflineAudioCompletionEvent</code> interface represents events that occur when the processing of an {{domxref("OfflineAudioContext")}} is terminated. The {{event("complete")}} event implements this interface.</p>

<div class="note">
<p><strong>Note</strong>: This interface is marked as deprecated; it is still supported for legacy reasons, but it will soon be superseded when the promise version of {{domxref("OfflineAudioContext.startRendering")}} is supported in browsers, which will no longer need it.</p>
</div>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("OfflineAudioCompletionEvent.OfflineAudioCompletionEvent")}}</dt>
 <dd>Creates a new <code>OfflineAudioCompletionEvent</code> object instance.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Also inherits properties from its parent, {{domxref("Event")}}</em>.</p>

<dl>
 <dt>{{domxref("OfflineAudioCompletionEvent.renderedBuffer")}} {{readonlyinline}}</dt>
 <dd>An {{domxref("AudioBuffer")}} containing the result of processing an {{domxref("OfflineAudioContext")}}.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>Inherits methods from its parent, {{domxref("Event")}}</em>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#OfflineAudioCompletionEvent', 'OfflineAudioCompletionEvent')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.OfflineAudioCompletionEvent")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
